/*
 * Chapter 12
 *
 * Blinking an LED connected to PA0 pin of the microcontroller
 *
 */

#include "../Headers/main.h"

int main(void)
{
    //Initializing ports
    IOInit();

    //Infinite loop - blinking the LED
    while (1)
    {
        //Turn ON the LED
        PORTA = 0b0000001;
		//Turn OFF the LED
        PORTA = 0b0000000;
    }

    //Due to the Infinite loop, the software will never enter this region. However, this line is required by the compiler
    return 0;
}